<link rel="stylesheet" href="{$oPlugin->cAdminmenuPfadURLSSL}css/style.css" type="text/css">
{if $isModern}
    <link rel="stylesheet" href="{$oPlugin->cAdminmenuPfadURLSSL}css/datatables-1.10.11.min.css" type="text/css">
    <script src="{$oPlugin->cAdminmenuPfadURLSSL}js/jquery.dataTables-1.10.11.min.js" type="text/javascript"></script>
    <script src="{$oPlugin->cAdminmenuPfadURLSSL}js/dataTables.bootstrap-1.10.11.min.js" type="text/javascript"></script>
{else}
    <link rel="stylesheet" href="{$oPlugin->cAdminmenuPfadURLSSL}css/jquery.dataTables.min.css" type="text/css">
    <script src="{$oPlugin->cAdminmenuPfadURLSSL}js/jquery.dataTables.min.js" type="text/javascript"></script>
{/if}
{if isset($expirationTimestampDate) && $expirationTimestampDate !== null}
    {if $isModern === true}
        <div class="alert alert-info">
            <i class="fa fa-info-circle"></i> <strong>Hinweis:</strong> Sie nutzen eine zeitlich begrenzte Lizenz. Diese l&auml;uft am {$expirationTimestampDate} um {$expirationTimestampTime} Uhr ab.
        </div>
    {else}
	<p class="box_error box_licence_note">
		<strong>Hinweis:</strong> Sie nutzen eine zeitlich begrenzte Lizenz. Diese l&auml;uft am {$expirationTimestampDate} um {$expirationTimestampTime} Uhr ab.
    </p>
    {/if}
{/if}

{if $kk_autolinker_cache}
	<form enctype="multipart/form-data" method="post" action="{$pluginAdminUrl}cPluginTab=Zuordnungen">
        {if isset($jtl_token)}
            {$jtl_token}
        {/if}
		<p>
            <button class="btn btn-danger" id="apc_cache_clear" name="clear_cache" type="submit"><i class="fa fa-trash"></i> Cache leeren</button>
        </p>
	</form>
{/if}
<div class="box_edit {if $isModern === true}modern{else}non-modern{/if}">
	<div id="contact_form_create" class="kk_admin_box table settings">
		<form id="cf-create-form" enctype="multipart/form-data" method="post" action="{$pluginAdminUrl}cPluginTab=Zuordnungen">
            {if isset($jtl_token)}
                {$jtl_token}
            {/if}
            <div class="panel panel-default">
                <div class="panel-heading">
			        <h3 class="panel-title">{if isset($cf_to_edit) && $cf_to_edit}Eintrag bearbeiten{else}Eintrag erstellen{/if}</h3>
                </div>
                {if $isModern !== true}<div class="panel-body">{/if}
                    <table class="kk_create_table table">
                        <tr>
                            <td class="input">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <label for="title">Name</label>
                                    </span>
                                    <input class="form-control" id="title" size="30" type="text" name="title" value="{$cf_title}" />
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="input">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <label for="link">Link</label>
                                    </span>
                                    <input class="form-control" id="link" size="30" type="text" name="link" value="{$cf_link}" />
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="input">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <label for="meta">Link-Title</label>
                                    </span>
                                    <input class="form-control" id="meta" size="30" type="text" name="meta" value="{$cf_meta}" />
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="input">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <label for="priority">Priorit&auml;t</label>
                                    </span>
                                    <span class="input-group-wrap">
                                        <select id="priority" class="form-control combo" name="priority">
                                            <option {if $cf_priority === 0}selected {/if}value="0">0 (h&ouml;chste)</option>
                                            <option {if $cf_priority === 1}selected {/if}value="1">1</option>
                                            <option {if $cf_priority === 2}selected {/if}value="2">2</option>
                                            <option {if $cf_priority === 3}selected {/if}value="3">3</option>
                                            <option {if $cf_priority === 4}selected {/if}value="4">4</option>
                                            <option {if $cf_priority === null|| $cf_priority === 5}selected {/if}value="5">5</option>
                                            <option {if $cf_priority === 6}selected {/if}value="6">6</option>
                                            <option {if $cf_priority === 7}selected {/if}value="7">7</option>
                                            <option {if $cf_priority === 8}selected {/if}value="8">8</option>
                                            <option {if $cf_priority === 9}selected {/if}value="9">9</option>
                                            <option {if $cf_priority === 10}selected {/if}value="10">10 (niedrigste)</option>
                                        </select>
                                    </span>
                                </div>
                            </td>
                        </tr>
                    </table>
                {if $isModern !== true}</div>{/if}
                <div class="panel-footer"{if $isModern !== true} style="margin-top:10px;"{/if}>
                    {if isset($cf_to_edit) && $cf_to_edit !== null}
                        <input type="hidden" value="{if isset($cf_to_edit->kKkautolinker)}{$cf_to_edit->kKkautolinker}{/if}" name="cf_to_edit_id" />
                        <button id="cf-submit" class="btn btn-primary orange" name="entry_save_submit" type="submit" value="Eintrag speichern"><i class="fa fa-save"></i> Eintrag speichern</button>
                    {else}
                        <button id="cf-submit" class="btn btn-primary orange" name="entry_create_submit" type="submit" value="Eintrag erstellen"><i class="fa fa-share"></i> Eintrag erstellen</button>
                    {/if}
                </div>
            </div>
		</form>
	</div>
    {if $kk_autolinker_table}
    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">Eintr&auml;ge verwalten</h3>
        </div>
            <div id="entry_edit" class="kk_admin_box">
                <form enctype="multipart/form-data" method="post" action="{$pluginAdminUrl}cPluginTab=Zuordnungen">
                    {if isset($jtl_token)}
                        {$jtl_token}
                    {/if}
                    <div class="inner">
                        {$kk_autolinker_table}
                    </div>
                </form>
            </div>
    </div>
	<script type="text/javascript">
		jQuery(document).ready(function($){ldelim}
			$('#kk_autolinker_table').DataTable({ldelim}
                'pageLength' : {$pageLen},
				'oLanguage': {ldelim}
					'sProcessing':   'Bitte warten...',
					'sLengthMenu':   '_MENU_ Eintr&auml;ge anzeigen',
					'sZeroRecords':  'Keine Eintr&auml;ge vorhanden.',
					'sInfo':         '_START_ bis _END_ von _TOTAL_ Eintr&auml;gen',
					'sInfoEmpty':    '0 bis 0 von 0 Eintr&auml;gen',
					'sInfoFiltered': '(gefiltert von _MAX_  Eintr&auml;gen)',
					'sInfoPostFix':  '',
					'sSearch':       'Suchen',
					'sUrl':          '',
					'oPaginate': {ldelim}
						'sFirst':    'erste',
						'sPrevious': 'vorige',
						'sNext':     'n&auml;chste',
						'sLast':     'letzte'
					{rdelim}
                {rdelim}
            {rdelim});
        {rdelim});
	</script>
    {else}
        <div class="alert alert-info"><i class="fa fa-info-cirlce"></i> Noch kein Eintrag angelegt.</div>
    {/if}
</div>